%% Default Colormap  
figure;
imagesc(sort(rand(200),'descend'));  
colormap(vivid); colorbar  
 
%% Mapping With 256 Colors  
figure;
imagesc(peaks(500))  
colormap(vivid(256)); colorbar  
 
%% Mapping With Full Intensity Range  
figure;
imagesc(peaks(500))  
colormap(vivid([0 1])); colorbar  
 
%% Mapping With Light Colors  
figure;
imagesc(peaks(500))  
colormap(vivid([.5 1])); colorbar  
 
%% Mapping With Dark Colors  
figure;
imagesc(peaks(500))  
colormap(vivid([0 .5])); colorbar  
 
%% Mapping With Custom Color Matrix  
figure;
imagesc(peaks(500))  
clrs = [1 0 .5; 1 .5 0; .5 1 0; 0 1 .5; 0 .5 1; .5 0 1];  
colormap(vivid(clrs)); colorbar  
 
%% Mapping With Color String  
figure;
imagesc(peaks(500))  
colormap(vivid('roylgacsbvmp')); colorbar  
 
%% Colormap With Multiple Custom Settings  
figure;
imagesc(sort(rand(300,100),'descend'));  
colormap(vivid(64,[.1 .9],'rwb')); colorbar