function write2TextfromRaw(dir)

% generate input file based on image raw data.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Lijun Zhang, Ph.D                        %
% Center for Biomedical Imaging Statistics (CBIS)  %
% Dept. of Biostatistics and Bioinformatics        %
% Emory University                                 %
% Atlanta, GA, 30322                               %
% Email: l.zhang@emory.edu                         %
% http://www.sph.emory.edu/bios/CBIS/about.html    %
% Jan, 2009, Last revision: Dec. 1, 2011           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

pathName = 'GroupB_fALFF';
pathDir = dir(pathName);

s = [];

fpInfo = fopen('C:\Project_CIBS\bsm_v1_00\results\ALFF.txt', 'w');
if(fpInfo < 0) 
    error('Cannot open file: C:\Project_CIBS\bsm_v1_00\results\ALFF.txt'); 
end

for i=3:length(pathDir)
    if strcmp(pathDir(i).name(1:8), 'session1')
        %s=[s; {'C:\Project_CIBS\bsm_v1_00\GroupB_fALFF', pathDir(i).name, 1, 1, 0}];
        fprintf(fpInfo,'%s %s %d %d %d\n',pathName,pathDir(i).name,1,1,0);

    elseif strcmp(pathDir(i).name(1:8), 'session2')
        %s=[s; {'C:\Project_CIBS\bsm_v1_00\GroupB_fALFF', pathDir(i).name, 2, 1, 0}];
        fprintf(fpInfo,'%s %s %d %d %d\n',pathName,pathDir(i).name,2,1,0);
    else
        error('Check here line')
    end
end

fclose(fpInfo)