function m=imresize3(v,orig,newdim,neworig,method)
% ms=imresize3(m,[79 95 69]);

if nargin<3
    newdim=orig;
    orig=size(v);
end

%shift and trim input image (modify program for padding if necessary)
dim=size(v);
if sum((dim>newdim))==3
    shiftdims=orig-neworig;
    v=circshift(v,-shiftdims);
    xdiff=dim(1)-newdim(1);
    v(dim(1)-xdiff+1:dim(1),:,:)=[];
    ydiff=dim(2)-newdim(2);
    v(:,dim(2)-ydiff+1:dim(2),:)=[];
    zdiff=dim(3)-newdim(3);
    v(:,:,dim(3)-zdiff+1:dim(3))=[];
end

if length(newdim)<3
    error(['Size must be a 1x3 (or 3x1) vector.  See ''imresize.m'' for 2-D images']);
end

if nargin<5 %set default
    method='nearest';
end

for z=1:newdim(3)
    u(:,:,z)=imresize(v(:,:,z),[newdim(1) newdim(2)],method);
end
clear v;

if newdim(1)<=newdim(2)
    for x=1:newdim(1)
        m(x,:,:)=imresize(squeeze(u(x,:,:)),[newdim(2) newdim(3)],method);
    end
elseif newdim(1)>newdim(2)
    for y=1:newdim(2)
        m(:,y,:)=imresize(squeeze(u(:,y,:)),[newdim(1) newdim(3)],method);
    end
end
% function m=imresize3(v,newdim,method)
% % ms=imresize3(m,[79 95 69]);
% 
% if length(newdim)<3
%     error(['Size must be a 1x3 (or 3x1) vector.  See ''imresize.m'' for 2-D images']);
% end
% 
% if nargin<3 %set default
%     method='nearest';
% end
% 
% for z=1:newdim(3)
%     u(:,:,z)=imresize(v(:,:,z),[newdim(1) newdim(2)],method);
% end
% clear v;
% 
% if newdim(1)<=newdim(2)
%     for x=1:newdim(1)
%         m(x,:,:)=imresize(squeeze(u(x,:,:)),[newdim(2) newdim(3)],method);
%     end
% elseif newdim(1)>newdim(2)
%     for y=1:newdim(2)
%         m(:,y,:)=imresize(squeeze(u(:,y,:)),[newdim(1) newdim(3)],method);
%     end
% end
